/* 
 * Copyright (C) 2007 Pierre-Luc Beaudoin
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#include "debug.h"

#include <stdarg.h>
#include <glib.h>

void setDebug(bool status){
  debugStatus = status;
}

void log(gchar* fmt, ...){
  if(debugStatus){
    va_list ap;

    va_start(ap, fmt); /* Initialize the va_list */
    
    g_logv(G_LOG_DOMAIN, G_LOG_LEVEL_DEBUG, fmt, ap); /* Call vprintf */

    va_end(ap); /* Cleanup the va_list */
  }
}

bool isDebugOn(){
  return debugStatus;
}
