/* 
 * Copyright (C) 2007 Pierre-Luc Beaudoin
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <string> 
#include <stdarg.h>

bool hasExtension(std::string filename, std::string extension){
  if(filename.find(extension,0) != std::string::npos){
    return true;
  }
  return false;
}

bool isAVideoFile(std::string filename){
  
  if(hasExtension(filename, ".avi"))
        return true;
  else if(hasExtension(filename, ".wmv"))
        return true;
  else if(hasExtension(filename, ".mpg"))
        return true;
  else if(hasExtension(filename, ".mpeg"))
        return true;
  else if(hasExtension(filename, ".mov"))
        return true;
  
  return false;
}

bool isHidden(std::string filename){
  if(filename[0] == '.'){
    return true;
  }
  return false;
}

std::string stripExtension(std::string filename){
  std::string ret;
  int pos = 0;
  pos = filename.find_first_of(".",0) ;
  if(pos != std::string::npos){
    return filename.substr(0, pos);
  }
  return filename;
}

std::string convertToPath(std::string text){
  int pos;
  pos = text.find_first_of(" ",0) ;
  while(pos != std::string::npos){
    text = text.insert(pos, "\\");
    pos = text.find_first_of(" ", pos+2) ;
  }
  return text;
}
