/* 
 * Copyright (C) 2007 Pierre-Luc Beaudoin
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "playingstate.h"
#include "pausedstate.h"

PlayerState::Events PlayingState::getEventFromAction ( Menu::Actions action ){
  switch(action){
    case Menu::LEFT: 
      return PlayerState::SEEK_BACKWARD;
      break;
    case Menu::UP: 
      return PlayerState::VOLUME_UP;
      break;
    case Menu::RIGHT: 
      return PlayerState::SEEK_FORWARD;
      break;
    case Menu::DOWN:
      return PlayerState::VOLUME_DOWN;
      break;
    case Menu::OK: 
      printf("In Playing: OK == PAUSE\n");
      return PlayerState::PAUSE;
      break;
  }
}

PlayerState *PlayingState::getNextState ( PlayerState::Events event ){
  switch(event){
    case PlayerState::PLAY:
      return _playingState;
      break;
    case PlayerState::PAUSE:
      return _pausedState;
      break;  
  }
  return this;
}

void PlayingState::enter (  ){
  printf("playing::enter()\n");
  _currentState = this;
  _mediaPlayer->play();
}

void PlayingState::force (  ){
  printf("playing::enter()\n");
  _currentState = this;
}

void PlayingState::doEvent ( PlayerState::Events event ){
  switch(event){
    break;
    case PlayerState::SEEK_FORWARD:
      _mediaPlayer->pause();
      _mediaPlayer->setProgress(_mediaPlayer->getProgress() + 0.1);
      _mediaPlayer->play();
      break;
    case PlayerState::SEEK_BACKWARD:
      _mediaPlayer->pause();
      _mediaPlayer->setProgress(_mediaPlayer->getProgress() - 0.1);
      _mediaPlayer->play();
      break;
    case PlayerState::VOLUME_UP:
      _mediaPlayer->setVolume( 
        _mediaPlayer->getVolume() + 0.2
      );
      break;
    case PlayerState::VOLUME_DOWN:
      _mediaPlayer->setVolume( 
        _mediaPlayer->getVolume() - 0.2
      );
      break;
    default:
      PlayerState::doEvent( event );
      break;
      
  }
}


