/* 
 * Copyright (C) 2007 Pierre-Luc Beaudoin
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef CONFIGWINDOW_H
#define CONFIGWINDOW_H

class ConfigView;

/**
 * @class ConfigWindow
 * @brief The base class for all config windows.
 *
 * A config window is a graphical representation of the settings for a specific module.  
 * This base class sets a common interface to allow the creation of many different 
 * views base on different toolkits.
 * Each module should return a ConfigWindow.
 */

class ConfigWindow {
  // Associations
  // Attributes
  // Operations
  public:
    /**
     * @brief Opens the window.
     * 
     * This call should be blocking.  When the window is closed, this method will
     * return.
     */
    virtual void show (  ) = 0;
    
};

#endif
