/* 
 * Copyright (C) 2007 Pierre-Luc Beaudoin
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#include "dummyconfigwindow.h"
#include "../../config/gtkconfigview.h"

static void config_quit(GtkWidget *button, gpointer window)
{
  gtk_widget_hide(GTK_WIDGET(window));
}

DummyConfigWindow::DummyConfigWindow(){
  _gtkWindow = gtk_window_new(GTK_WINDOW_TOPLEVEL);
}

void DummyConfigWindow::show (  ){
  GtkWidget *vbox;
	GtkWidget *bbox;
	GtkWidget *button, * label;
	
	gtk_window_set_title(GTK_WINDOW(_gtkWindow), "Dummy Module Configuration");
	gtk_window_set_resizable (GTK_WINDOW(_gtkWindow), FALSE);
	gtk_container_set_border_width(GTK_CONTAINER(_gtkWindow), 10);
	gtk_window_set_modal (GTK_WINDOW (_gtkWindow), TRUE);
	
	vbox = gtk_vbox_new(FALSE, 10); // GAIM_HIG_SPACE
	gtk_container_add(GTK_CONTAINER(_gtkWindow), vbox);
	gtk_widget_show(vbox);
	
	label = gtk_label_new("Nothing to configure.");

	gtk_label_set_line_wrap(GTK_LABEL(label), TRUE);
	gtk_misc_set_alignment(GTK_MISC(label), 0, 0.5);
	gtk_label_set_justify(GTK_LABEL(label), GTK_JUSTIFY_LEFT);
  gtk_box_pack_start(GTK_BOX(vbox), label, FALSE, TRUE, 0);
	gtk_widget_show(label);

  bbox = gtk_hbutton_box_new();
	gtk_box_set_spacing(GTK_BOX(bbox), 10); //GAIM_HIG_BOX_SPACE
	gtk_button_box_set_layout(GTK_BUTTON_BOX(bbox), GTK_BUTTONBOX_END);
	gtk_box_pack_start(GTK_BOX(vbox), bbox, FALSE, FALSE, 0);
	gtk_widget_show (bbox);
	
	button = gtk_button_new_from_stock (GTK_STOCK_CLOSE);
	g_signal_connect(G_OBJECT(button), "clicked",
							 G_CALLBACK(config_quit), _gtkWindow);
	gtk_box_pack_start(GTK_BOX(bbox), button, FALSE, FALSE, 0);
	gtk_widget_show(button);
	
	gtk_widget_show(_gtkWindow);
}

