/* 
 * Copyright (C) 2007 Pierre-Luc Beaudoin
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef IVPMODULE_H
#define IVPMODULE_H

#include "../module.h"
#include "../../menus/selecters/listmenu.h"

#include <glib.h>
#include <string>

class Menu;
class ConfigWindow;
class VideoMenu;
class SelectionMenu;

class IVPModule : public Module {
  // Associations
  // Attributes
  // Operations
  private: 
    Menu * _root;
    VideoMenu * _videoMenu;
    const gchar * _homedir;
    void visit(SelectionMenu ** list, const gchar * path, const gchar * name);
    
  public:
    IVPModule();
    const gchar * getName (  );
    const gchar * getSettingName(  );
    const gchar * getVersion (  );
    const gchar * getAuthor (  );
    const gchar * getDescription (  );
    void unload (  );
    Menu* getMenu (  );    
    ConfigWindow * getConfigWindow (  );
    
    void loadSubMenu();
    //void visitHome();
    void showDir(SelectionMenu *menu);
    void showVideoMenu(VideoMenu *menu, const gchar * filepath);
};

#endif 
