/* 
 * Copyright (C) 2007 Pierre-Luc Beaudoin
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#ifndef RBPLAYLIST_H
#define RBPLAYLIST_H

#include "../../views/playlist.h"

#include <dbus/dbus-glib.h>

class RBPlaylist: public Playlist {
  // Associations
  // Attributes
  private: 
    DBusGProxy * _shell;
	  DBusGProxy * _player;
	  DBusGProxy * _plman;
  // Operations
  public:
    void init ( int argc, char* argv[], MediaPlayer * mediaPlayer  );
    void append ( Clip* clip );
    void next (  );
    void previous (  );
    void clear (  );
    Clip * getCurrentClip (  );
    int getCurrentPos (  );
    int size (  );
};

#endif
